Index: trunk/ab5.0/abdev/ab_common/ab_common.vcproj
===================================================================
--- trunk/ab5.0/abdev/ab_common/ab_common.vcproj	(revision 755)
+++ trunk/ab5.0/abdev/ab_common/ab_common.vcproj	(revision 825)
@@ -12,4 +12,7 @@
 			Name="Win32"
 		/>
+		<Platform
+			Name="x64"
+		/>
 	</Platforms>
 	<ToolFiles>
@@ -17,8 +20,7 @@
 	<Configurations>
 		<Configuration
-			Name="Debug(x86)|Win32"
-			OutputDirectory=".\$(ConfigurationName)"
-			IntermediateDirectory=".\$(ConfigurationName)"
+			Name="Debug|Win32"
 			ConfigurationType="4"
+			InheritedPropertySheets="..\ab-common-32.vsprops"
 			CharacterSet="2"
 			>
@@ -41,13 +43,9 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
-				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
+				AdditionalIncludeDirectories=""
+				PreprocessorDefinitions="_DEBUG;_LIB"
 				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
-				UsePrecompiledHeader="2"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
 			/>
 			<Tool
@@ -80,8 +78,66 @@
 		</Configuration>
 		<Configuration
-			Name="Release(x86)|Win32"
-			OutputDirectory=".\$(ConfigurationName)"
-			IntermediateDirectory=".\$(ConfigurationName)"
+			Name="Debug|x64"
 			ConfigurationType="4"
+			InheritedPropertySheets="..\ab-common-64.vsprops"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+				TargetEnvironment="3"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories=""
+				PreprocessorDefinitions="_DEBUG;_LIB"
+				MinimalRebuild="true"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="1"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\ab-common-32.vsprops"
 			CharacterSet="2"
 			WholeProgramOptimization="0"
@@ -107,11 +163,7 @@
 				EnableIntrinsicFunctions="true"
 				FavorSizeOrSpeed="1"
-				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
-				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
+				AdditionalIncludeDirectories=""
+				PreprocessorDefinitions="NDEBUG;_LIB"
 				RuntimeLibrary="0"
-				UsePrecompiledHeader="2"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
 			/>
 			<Tool
@@ -144,9 +196,9 @@
 		</Configuration>
 		<Configuration
-			Name="Debug(x64)|Win32"
-			OutputDirectory=".\$(ConfigurationName)"
-			IntermediateDirectory=".\$(ConfigurationName)"
+			Name="Release|x64"
 			ConfigurationType="4"
+			InheritedPropertySheets="..\ab-common-64.vsprops"
 			CharacterSet="2"
+			WholeProgramOptimization="0"
 			>
 			<Tool
@@ -164,68 +216,5 @@
 			<Tool
 				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="0"
-				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
-				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="1"
-				UsePrecompiledHeader="2"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release(x64)|Win32"
-			OutputDirectory=".\$(ConfigurationName)"
-			IntermediateDirectory=".\$(ConfigurationName)"
-			ConfigurationType="4"
-			CharacterSet="2"
-			WholeProgramOptimization="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
+				TargetEnvironment="3"
 			/>
 			<Tool
@@ -234,11 +223,7 @@
 				EnableIntrinsicFunctions="true"
 				FavorSizeOrSpeed="1"
-				AdditionalIncludeDirectories="..\..\;..\..\cpplibs\boost;include"
-				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
+				AdditionalIncludeDirectories=""
+				PreprocessorDefinitions="NDEBUG;_LIB"
 				RuntimeLibrary="0"
-				UsePrecompiledHeader="2"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
 			/>
 			<Tool
@@ -287,5 +272,5 @@
 				>
 				<FileConfiguration
-					Name="Debug(x86)|Win32"
+					Name="Debug|Win32"
 					>
 					<Tool
@@ -297,5 +282,15 @@
 				</FileConfiguration>
 				<FileConfiguration
-					Name="Release(x86)|Win32"
+					Name="Debug|x64"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						PreprocessorDefinitions="USE_DL_PREFIX"
+						UsePrecompiledHeader="0"
+						DisableSpecificWarnings="4267"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
 					>
 					<Tool
@@ -308,8 +303,9 @@
 				</FileConfiguration>
 				<FileConfiguration
-					Name="Debug(x64)|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
+					Name="Release|x64"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="3"
 						PreprocessorDefinitions="USE_DL_PREFIX"
 						UsePrecompiledHeader="0"
@@ -317,14 +313,4 @@
 					/>
 				</FileConfiguration>
-				<FileConfiguration
-					Name="Release(x64)|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions="USE_DL_PREFIX"
-						UsePrecompiledHeader="0"
-						DisableSpecificWarnings="4267"
-					/>
-				</FileConfiguration>
 			</File>
 			<File
@@ -332,5 +318,5 @@
 				>
 				<FileConfiguration
-					Name="Debug(x86)|Win32"
+					Name="Debug|Win32"
 					>
 					<Tool
@@ -340,5 +326,5 @@
 				</FileConfiguration>
 				<FileConfiguration
-					Name="Release(x86)|Win32"
+					Name="Debug|x64"
 					>
 					<Tool
@@ -348,5 +334,5 @@
 				</FileConfiguration>
 				<FileConfiguration
-					Name="Debug(x64)|Win32"
+					Name="Release|Win32"
 					>
 					<Tool
@@ -356,5 +342,5 @@
 				</FileConfiguration>
 				<FileConfiguration
-					Name="Release(x64)|Win32"
+					Name="Release|x64"
 					>
 					<Tool
@@ -415,5 +401,5 @@
 					>
 					<FileConfiguration
-						Name="Debug(x86)|Win32"
+						Name="Debug|Win32"
 						>
 						<Tool
@@ -423,13 +409,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="Release(x86)|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug(x64)|Win32"
+						Name="Debug|x64"
 						>
 						<Tool
@@ -440,5 +418,13 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="Release(x64)|Win32"
+						Name="Release|Win32"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							UsePrecompiledHeader="0"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|x64"
 						>
 						<Tool
